用IntelliJ IDEA编译hello world,编译之后提示 无效的标记: -release

求解答!!QAQ 图如下(https://img-ask.csdn.net/upload/201711/05/1509854713_837915.png)

4个回答

从图中看是Java 1.9,尝试换成1.8,有三个地方需要更改:

 file -> settings -> Build Execution and Deployment -> Java -> Compiler
 File -> Project Structure -> Module Settings -> Tab: Source: Language Level
 File -> Project Structure -> Project(In left pane) -> Project language level

如果对您有帮助,请采纳答案好吗,谢谢!

Hongyu_Zhou
赫兹河马 回复红尘遇到你: 你的问题解决了吗,我也遇到这种问题了,但是我感觉不是java版本的问题,因为我直接命令行调用javac去编译,是能够生成class文件的,而且java能能够执行,但是在IDEA中就是没法编译通过,应该是哪里配置有问题,但是技术有限就是找不到,留下了没有技术的泪水.jpg
2 年多之前 回复
fyzhc
红尘遇到你 请问为什么会出现这个问题呢?
接近 3 年之前 回复

JDK的问题,改成JDK 1.8 试试

楼主,我和你遇到了同样的问题,你的问题解决了吗,难道真不能用java9

请查看自己的idea版本,我在2017.1版本中确实出现了这个问题,我把idea的版本升级到2017.3。问题解决了,希望能帮到大家

sunloveworld
sunloveworld 补充一下,我在尝试使用java9的时候出现了这个问题
2 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐